# Change the settings for an affiliate ‘s status

| HTTP method | Endpoint                           |
| ----------- | ---------------------------------- |
| **PATCH**   | **/v1/affiliates/{affiliate\_id}** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter     | Description                                  |
| ------------- | -------------------------------------------- |
| affiliate\_id | The unique id for the affiliate.             |
| status        | Status Can choose is active·blocked·deleted. |

## Response body parameters <a href="#response-body-parameters-1" id="response-body-parameters-1"></a>

| Field                     | Type    | Description                                       |
| ------------------------- | ------- | ------------------------------------------------- |
| id                        | integer | A string that uniquely identifies this affiliate. |
| first\_name               | string  | The first\_name of the this affiliate.            |
| last\_name                | string  | The last\_name of the this affiliate.             |
| email                     | string  | The email of the this affiliate.                  |
| company                   | string  | The company of the this affiliate.                |
| country                   | string  | The country of the affiliate’s physical address.  |
| status                    | string  | Affiliate's status.                               |
| instant\_message\_account | string  | Instant message account.                          |
| instant\_message\_type    | integer | Types of instant message.                         |
| manager\_id               | integer | Manager id.                                       |
| phone                     | string  | The phone number of the affiliate.                |
| website                   | string  |                                                   |
| create\_time              | integer | Create time.                                      |

## Example request <a href="#example-request-1" id="example-request-1"></a>

**Request PATCH** <https://{networkname}.api.offerslook.com/v1/affiliates/4867?status=active>

**Request PATCH** <http://{networkname}.api.offerslook.com/v1/affiliates/4867?status=active>

## Example response <a href="#example-response-1" id="example-response-1"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "affiliate": {
          "id": 4867,
          "email": "test@test.com",
          "first_name": "affiliate",
          "last_name": "test",
          "country": "Asia/Pacific Region",
          "status": "active",
          "website": "http://www.offerslook.com",
          "create_time": 1458650494,
          "company": "UC Union",
          "phone": "1112223333",
          "manager_id": 7,
          "instant_message_type": 3,
          "instant_message_account": "test@facebook.com"
        }
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliates/change_the_settings_for_an_affiliate_s_status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
